import * as $dara from '@darabonba/typescript';
import { DeleteIpv6EgressOnlyRuleResponseBody } from "./DeleteIpv6egressOnlyRuleResponseBody";
export declare class DeleteIpv6EgressOnlyRuleResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DeleteIpv6EgressOnlyRuleResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
